#!/usr/bin/env python

"""
Prettyprinted text serialiser for Graphviz nodes.

Copyright (C) 2023 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.serialisers.pretty.common import Serialiser

class GraphvizSerialiser(Serialiser):

    "Serialisation of Graphviz nodes for inspection."

    input_formats = ["dot", "graphviz"]
    formats = ["pretty"]

    # Node handler methods.

    def directive(self, directive):
        self.out("%sDirective: key=%r value=%r directive=%r\n" % (
            self.output.indent, directive.key, directive.value,
            directive.directive))

serialiser = GraphvizSerialiser

# vim: tabstop=4 expandtab shiftwidth=4
